com.ibm.openpages.api.rule

## Class BulkRunCalculationsOptions

- java.lang.Object
- - com.ibm.openpages.api.AbstractBulkInputModel
  - - com.ibm.openpages.api.rule.BulkRunCalculationsOptions

- All Implemented Interfaces:
    java.io.Serializable

      public class BulkRunCalculationsOptions
      extends AbstractBulkInputModel
      implements java.io.Serializable

  Represents the options to run calculations in bulk, used by `ITBRuleService#startCalculationsInBulk(BulkRunCalculationsOptions)`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkRunCalculationsOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Id>` | `getResourceIds()` Returns resource Ids to start calculations.
    `java.lang.Integer` | `getResultsPerPage()` Returns the number of results per page.
    `Id` | `getRuleDefinitionId()` Returns Id of the rule definition to start.
    `void` | `setResourceIds(java.util.List<Id> resourceIds)` Assigns resource Ids to start calculations.
    `void` | `setResultsPerPage(java.lang.Integer resultsPerPage)` Assigns the number of results per page.
    `void` | `setRuleDefinitionId(Id ruleDefinitionId)` Assigns Id of the rule definition to start.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BulkRunCalculationsOptions

          public BulkRunCalculationsOptions()

  - ### Method Detail

    - #### getRuleDefinitionId

          public Id getRuleDefinitionId()

      Returns Id of the rule definition to start.
      Returns:

    - #### setRuleDefinitionId

          public void setRuleDefinitionId(Id ruleDefinitionId)

      Assigns Id of the rule definition to start.
      Parameters:
        `processDefinitionId` -

    - #### getResourceIds

          public java.util.List<Id> getResourceIds()

      Returns resource Ids to start calculations. You can leave this null and call `ITBRuleService#startCalculationsInBulk(BulkRunCalculationsOptions)` , in such case, all the objects of the object type are evaluated whether the calculation can start.
      Returns:

    - #### setResourceIds

          public void setResourceIds(java.util.List<Id> resourceIds)

      Assigns resource Ids to start calculations.
      Parameters:
        `resourceIds` -

    - #### getResultsPerPage

          public java.lang.Integer getResultsPerPage()

      Returns the number of results per page. When the calculation is started in bulk, the resources are fetched by pages. It defaults to the registry value of "/OpenPages/Platform/Workflow Implementations/OpenPages/Default Results Per Page" when the value is not assigned by `setResultsPerPage(Integer)`. If the registry is not configured, it defaults to 100.
      Returns:

    - #### setResultsPerPage

          public void setResultsPerPage(java.lang.Integer resultsPerPage)

      Assigns the number of results per page. When the calculation is started in bulk, the resources are fetched by pages.
      Parameters:
        `resultsPerPage` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.